org.apache.lucene.spatial3d.geom

## Class GeoPathFactory

- java.lang.Object
- - org.apache.lucene.spatial3d.geom.GeoPathFactory

-     public class GeoPathFactory
      extends Object

  Class which constructs a GeoPath representing an arbitrary path.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GeoPath` | `makeGeoPath(PlanetModel planetModel, double maxCutoffAngle, GeoPoint[] pathPoints)` Create a GeoPath of the right kind given the specified information.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### makeGeoPath

          public static GeoPath makeGeoPath(PlanetModel planetModel,
                                            double maxCutoffAngle,
                                            GeoPoint[] pathPoints)

      Create a GeoPath of the right kind given the specified information.
      Parameters:
        `planetModel` - is the planet model.
        `maxCutoffAngle` - is the width of the path, measured as an angle.
        `pathPoints` - are the points in the path.
      Returns:
        a GeoPath corresponding to what was specified.

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.